Move apertium to deployment-sca* hosts in Beta Cluster
Closed, ResolvedPublic

Description

For two reasons:

  1. To mirror production setup (services on sc* cluster)
  2. To reduce the resource usage of individual services in Beta Cluster (and thus WMF Labs). See: https://wikitech.wikimedia.org/wiki/Purge_2016#In_use_deployment-prep

Checklist for removal: https://wikitech.wikimedia.org/wiki/Nova_Resource:Deployment-prep/Decommission_an_instance

greg created this task.Aug 4 2016, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2016, 10:52 PM
greg updated the task description. (Show Details)Aug 5 2016, 8:29 PM

@akosiaris , @KartikMistry Looks like apertium is still running on deployment-apertium02 . Can we move it to the deployment-scaXX hosts ? They are all Jessie nowadays.

Restricted Application added a project: ContentTranslation. · View Herald TranscriptMay 4 2017, 7:35 AM

@hashar We've Apertium service in sca01 already. So, just need to delete deployment-apertium02.

Linux deployment-sca01 4.4.0-2-amd64 #1 SMP Debian 4.4.2-3+wmf6 (2016-10-18) x86_64
Debian GNU/Linux 8.6 (jessie)
deployment-sca01 is a Apertium APY server (role::apertium)
...
...

I 've applied the roles on deployment-sca01 and deployment-sca02 and moved http://apertium-beta.wmflabs.org/listPairs to sca01. Quick q why are there 4 sca hosts ? Not only that, but sca is actually almost deprecated in production. All services are in scb with the notable exception of zotero that can not be on scb as it is ubuntu trusty only

I 've left deleting deployment-apertium02 and resolving the task to @KartikMistry.

hashar added a comment.May 4 2017, 2:17 PM

@akosiaris wrote:
Quick q why are there 4 sca hosts ? Not only that, but sca is actually almost deprecated in production. All services are in scb with the notable exception of zotero that can not be on scb as it is ubuntu trusty only

I cant tell. They are all Jessie and created months apart:

sca01Jan 28 2016
sca02Jan 28 2016
sca03June 22 2016
sca04Feb 7 2017

Maybe sca01 / sca02 are legacy and sca03 / sca04 are the new ones to migrate to?

Anyway: thanks for the quick action!

Restricted Application added a project: ContentTranslation. · View Herald TranscriptJun 25 2017, 9:06 PM
hashar removed a subscriber: hashar.Jun 23 2018, 8:08 PM
Krinkle added a subscriber: Krinkle.EditedJul 8 2018, 8:13 PM

As of today there are still three sca hosts in Beta (sca03 was deleted?). There are no scb hosts.

deployment-sca01debian-8.2-jessiem1.smallJan. 28, 2016
deployment-sca02debian-8.2-jessiem1.smallJan. 28, 2016
deployment-sca04debian-8.6-jessiem1.mediumFeb. 7, 2017

The apertium role seems to be applied to them and I could not find any references to deployment-apertium02 in Hiera. Can that one be deleted?

deployment-apertium02debian-8.5-jessiem1.smallSept. 19, 2016

Mentioned in SAL (#wikimedia-releng) [2018-07-08T20:16:59Z] <Krinkle> Shutting off deployment-apertium02 (T142152)

Mentioned in SAL (#wikimedia-releng) [2018-07-09T22:09:56Z] <Krinkle> Deleting instance deployment-apertium02 - T142152

Krinkle closed this task as Resolved.Jul 9 2018, 10:10 PM
Krinkle claimed this task.
Krinkle updated the task description. (Show Details)Jul 9 2018, 11:22 PM

Mentioned in SAL (#wikimedia-releng) [2018-07-09T23:24:10Z] <Krinkle> Ran puppet node deactivate and puppet node clean for deployment-apertium02.deployment-prep.eqiad.wmflabs (T142152)